Subject: bug#3400: bug in add-text-properties

From: Werner LEMBERG <[email-masked]>
Date: Fri, 29 May 2009 17:20:58 +0200 (CEST)

> I think what would make most sense if for C-x = to notice such
> invisible text and either give info about the whole invisible area,
> or prompt which position within that area is actually desired.

Yes, this sounds like a good idea.

What do you think about the C-a issue, BTW?

> In your case, you want info about the visible char, but I most often
> use C-x = specifically to get info about the part I can't see.

Honestly, up to now I had never the idea of using C-x = like that.  I
wasn't even aware that I can use it for that purpose.

>> If we had a small line instead of a blinking, block-like cursor (as
>> it is used with, say, OpenOffice), I could accept your
>> argumentation.
> 
> That can be configured via `cursor-type'.

I know, but the default is a block cursor...

     Werner